Subject: Re: FVWM: Firefox fullscreen mode: an observation

From: "Junren Shi And Xin Hu" <[email-masked]>
Date: Fri, 23 Jul 2004 11:50:08 -0400

Yes.  The same thing happened before:  Somebody reported the same issue for 
Mozilla/Firebird, but others just cannot reproduce it.  I guess this bug 
could be rather tricky. Actually, in my computer and in the rare condition, 
the fullscreen mode can come up normally.  Also running fvwm under strace 
seems to remedy the problem.

I ran FvwmDebug and tried to see what's going on.  I found that for firefox 
the normal fullscreen procedure is: Destroy_Window -> Add_New_Window.  But 
in the case that the fullscreen does not come up, Destroy_WIndow is called 
but the subsequent Add_New_Window never shows up in the debug output.  
Either firefox does not send the request or fvwm ignores the request.

I suspect this is an issue of fvwm becuase the fullscreen mode runs ok even 
in the bare X server, i.e.,
in the "Just xterm".

I also upgraded to 2.5.10, but the problem persists.

By the way, I use the gtk2-xft build of firefox and Xorg 6.7.0r.

Best

Junren

>From: Xiaoyong Jin <[email-masked]>
>To: [email-masked]
>Subject: Re: FVWM: Firefox fullscreen mode: an observation
>Date: Fri, 23 Jul 2004 09:02:19 +0800
>
>On Thu, 22 Jul 2004 03:43:37 -0400, Junren Shi And Xin Hu
><[email-masked]> wrote:
> > Hi,
> >
> >       I encountered an issue reported ealier in this list but there 
>seems to
> > be no solution.  The symptom is that: pressing F11 in firefox to enter 
>the
> > full screen mode will make it disappear from the desktop and the 
>windowlist.
> >   The program keeps running but it just cannot be seen.  Sometimes the
> > fullscreen may come up but usually the window will eventually disappear
> > after switching F11 a number times.
> >
> >      I am running firefox 0.91 under linux (Fedora core 2) and the fvwm
> > version is 2.5.8 rpm downloaded from the main website.  The fullscreen 
>mode
> > runs ok in every other window managers including the old MWM -- but not 
>in
> > fvwm.
> >
> >       A related issue: invoking View->Toolbars->Customize , the
> > Customization window also disappears and nowhere to find.
> >
> >       I have an observation: If I start firefox using "strace -f 
>firefox"
> > (to trace the system calls), then everything will be ok -- including the
> > fullscreen mode and the customization window.
> >
> >        Apparently "strace -f firefox" will greatly slowdown the firefox
> > process.  My theory is that the bug originates from a tricky timing and
> > scheduling issue.  In the normal running of firefox, fvwm may be not 
>able to
> > keep up the speed of firefox and response its request in a timely 
>manner.
> > But with "strace -f firefox" , the firefox will run slowly enough  so 
>that
> > fvwm can catch up.
> >
> >        Hope this will help to nail down the problem and fix it.
> >
> >        Best
> >
> > Junren
> >
> > _________________________________________________________________
> > Express yourself instantly with MSN Messenger! Download today - it's 
>FREE!
> > http://messenger.msn.click-url.com/go/onm00200471ave/direct/01/
> >
> >
> > --
> > Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
> > To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
> > message to [email-masked].
> > To report problems, send mail to [email-masked].
> >
>
>I've tried this but haven't encounter any problem except changing of 
>original
>position of firefox.
>
>I use firefox 0.8 and fvwm 2.5.10 under gentoo.
>--
>Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
>To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
>message to [email-masked].
>To report problems, send mail to [email-masked].

_________________________________________________________________
FREE pop-up blocking with the new MSN Toolbar – get it now! 
http://toolbar.msn.click-url.com/go/onm00200415ave/direct/01/

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Xiaoyong Jin <[email-masked]>
Date: Sat, 24 Jul 2004 17:14:17 +0800

> Either firefox does not send the request or fvwm ignores the request.

What makes me confused is that I use
FvwmDebug -l log -d 4
but only got one related to my firefox which is
[FvwmDebug]: got M_RAISE_WINDOW
M_RAISE_WINDOW
        win_id       0x1a00030
        frame_id     0x0621b49
        ptr          137196848
I haven't seen any like Destroy_Window niether Add_New_Window.
Did I misuse the FvwmDebug?

> By the way, I use the gtk2-xft build of firefox and Xorg 6.7.0r.

I use Gentoo and build them from source.  This is what gentoo's package
tool emerge shows me
[ebuild   R   ] x11-wm/fvwm-2.5.10-r3  -bidi -debug -gnome +gtk +gtk2
+imlib +ncurses +nls -nosm -noxpm +perl +png +readline -rplay -stroke
+tcltk +truetype -xinerama  0 kB
[ebuild   R   ] net-www/mozilla-firefox-0.8-r3  -gnome +gtk2 -ipv6
+java -moznoxft +truetype -xinerama  0 kB
[ebuild   R   ] x11-base/xorg-x11-6.7.0-r1  -3dfx -3dnow +cjk -debug
-dlloader -doc -ipv6 +mmx +nls +pam -sdk +sse -static  7,622 kB

> Junren
Good luck.
Jin